Configuration profiles
Run maintenance for a configuration profile
Authorization
A service token or OAuth token must have at least one of the following access or scopes in order to use this API endpoint:
Service Token Accesses
write_database
OAuth Scopes
| Resource | Scopes |
|---|---|
| Organization | write_databases |
| Database | write_database |
POST
Run maintenance for a Neki shard configuration profile
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
FlowAuthorization Code
- Authorization URL
- https://app.planetscale.com/oauth/authorize
- Token URL
- https://auth.planetscale.com/oauth/token
Path Parameters
Organization name slug from list_organizations. Example: acme.
Database name slug from list_databases. Example: app-db.
Branch name from list_branches. Example: main.
Name from list_shard_configuration_profiles.
Response
Maintenance started

